.left-page {
    position: absolute;
    width: calc(50svw - 2rem);
    height: calc(100svh - 2rem);

    padding: 1rem;
}

.right-page {
    position: absolute;
    right:0;
    top:0;
    width: calc(50svw - 2rem);
    height: calc(100svh - 3rem);

    padding: 1rem 1rem 2rem 2rem;

    overflow-y: auto;
    overflow-x: hidden;
}

.columnTwo {
    column-count: 2;
    column-gap: 2rem;
}





.catg {
    cursor: pointer;
}

.catg.active-catg {
    color: rgb(100, 70, 60, 0.5);
    font-weight: 300;
    letter-spacing: 0.1rem;
    font-style: italic;
}





.thumbnail-grid-block {
    display: grid;
    grid-template-columns: 1fr 1fr;
    column-gap: 1rem;
    /*border-top: solid 1px rgb(100, 70, 60);*/
    margin-bottom: 1rem;
    text-align: right;
}

.thumbnail-grid-block img {
    display: flex;
}

.coming-soon {
    position: relative;
    cursor: default;
}

.coming-soon .coming-cover {
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    
    box-shadow: inset 0 0 6rem 2rem rgb(251, 249, 246);
    backdrop-filter: blur(7px) saturate(0.5);
}

.coming-soon .coming-foil {
    position: absolute;
    top: 0%;
    width: 100%;
    height: 100%;
    z-index: 2;

    --foil-bg: linear-gradient(0deg,
        transparent 10%,
        white 12.5%,
        rgba(171, 171, 171, 0.3) 20%,
        white 25%,
        rgba(26, 26, 26, 0.5) 62%,
        white 62.5%,
        rgba(135, 135, 135, 0.5) 63%,
        white 85%,
        transparent 100%
    );

    pointer-events: none;
}

.coming-soon .coming-foil .foil-frame {
    position: relative;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    width: calc(100% - 2rem);
    height: calc(100% - 2rem);
    border: solid 2px rgba(255, 255, 255, 0.1);

    background: var(--foil-bg);
    background-size: 100% 200%;
    background-position: 0 var(--foil-frame-y, 0%);
    background-origin: border-box;
    background-clip: border-box;

    -webkit-mask:
        linear-gradient(#000 0 0) padding-box,
        linear-gradient(#000 0 0) border-box;
    -webkit-mask-composite: xor;
    mask-composite: exclude;

    mix-blend-mode: hard-light;
}

.coming-soon .coming-foil .foil-text {
    color: rgba(255, 255, 255, 0.1);
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;

    background: var(--foil-bg);
    background-size: 100% 40%;
    background-position: 0 var(--foil-text-y, 0%);

    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;

    mix-blend-mode: hard-light;
    
}

.grid-2 {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
}

.thumbnail-grid-block .title .date {
    color: rgb(100, 70, 60, 0.5);
    font-weight: 300;
    padding-left: 1rem;
    letter-spacing: 0.1rem;
    font-style: italic;
}

.thumbnail-grid-block:hover .title .date {
    color: rgb(100, 70, 60);
}





@media (min-width: 721px) and (max-width: 1000px) {
    .columnTwo {
        column-count: 1;
    }
}

@media (min-width: 501px) and (max-width: 720px) {
    .columnTwo {
        column-count: 2;
        column-gap: 1rem;
    }
}

@media (max-width: 500px) {
    .columnTwo {
        column-count: 1;
    }
}





@media (max-width: 720px) {
    .left-page {
        position: static;
        width: calc(100svw - 2rem);
        height: inherit;

        padding: 1rem;
        padding-bottom: 0;
    }

    .right-page {
        position: static;
        width: calc(100svw - 2rem);
        height: inherit;

        padding: 1rem 1rem 2rem 1rem;
    }

    .thumbnail-grid-block {
        grid-template-columns: 1fr;
        margin-bottom: 2rem;
        text-align: center;
    }

    .coming-soon .coming-foil .foil-frame {
        width: calc(100% - 1.25rem);
        height: calc(100% - 1.25rem);
        border: solid 1px rgba(255, 255, 255, 0.1);
        background-size: 100% 300%;
    }

    .coming-soon .coming-foil .foil-text {
        background-size: 100% 50%;
    }

    .grid-1 {
        grid-template-columns: 1fr;
        position: relative;
        left: 50%;
        transform: translateX(-50%);
        width: 70%;

    }

    .grid-1-S {
        grid-template-columns: 1fr;
        position: relative;
        left: 50%;
        transform: translateX(-50%);
        width: 50%;

    }

    .grid-1-L {
        grid-template-columns: 1fr;
        position: relative;
        left: 50%;
        transform: translateX(-50%);
        width: 85%;

    }

    .grid-1-XL {
        grid-template-columns: 1fr;
        position: relative;
        left: 50%;
        transform: translateX(-50%);
        width: 100%;

    }

    .grid-2 {
        grid-template-columns: 1fr 1fr;
    }

    .thumbnail-grid-block .title {
        margin: 1rem 0;
    }

    .thumbnail-grid-block .title .date {
        padding-left: 0rem;
    }
}



